Name: xnee
Version: 3.03
Release: alt3
Summary: Record, replay and distribute user actions under the X11 environment

Group: Graphics
License: GPL v3
URL: http://www.gnu.org/software/xnee/
Source: ftp://ftp.gnu.org/gnu/xnee/xnee-3.03.tar.gz
Source1: cnee.info.inc
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Requires: lib%name = %version-%release
Requires: %name-data = %version-%release

BuildPreReq: rpm-build-gnome
BuildPreReq: libX11-devel libICE-devel libXtst-devel libXext-devel
BuildPreReq: xorg-inputproto-devel libgtk+2-devel libgnome-panel-devel
BuildPreReq: libgnomeui-devel
BuildPreReq: dia texlive-extra-utils ghostscript-utils doxygen
BuildPreReq: ImageMagick-tools sgml-tools texi2html

%description
GNU Xnee is a suite of programs that can record, replay and distribute
user actions under the X11 environment. Think of it as a robot that can
imitate the job you just did.

Xnee can be used to

  * Automate tests - e.g nightly automatic regression tests
  * Demonstrate programs - e.g record and replay a user interaction with
  your system
  * Distribute actions - e.g teacher's actions can be sent to all
  student's desktops
  * Record and replay 'macro' - e.g Tie a key modifier combination (e.g
  using xkeymouse) to replay a recorded session. The macro is WM- and
  program independent.
  * Retype a file - e.g When testing an editor, Xnee can type in the
  content of a file. This can be compared with the origin

%package data
Summary: Architecture independent files for Xnee
Group: Graphics
BuildArch: noarch
Conflicts: %name < %version-%release

%description data
GNU Xnee is a suite of programs that can record, replay and distribute
user actions under the X11 environment. Think of it as a robot that can
imitate the job you just did.

This package contains architecture independent files for Xnee.

%package -n lib%name
Summary: Shared libraries of Xnee
Group: System/Libraries

%description -n lib%name
GNU Xnee is a suite of programs that can record, replay and distribute
user actions under the X11 environment. Think of it as a robot that can
imitate the job you just did.

This package contains shared libraries of Xnee.

%package -n lib%name-devel
Summary: Development files of Xnee
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release

%description -n lib%name-devel
GNU Xnee is a suite of programs that can record, replay and distribute
user actions under the X11 environment. Think of it as a robot that can
imitate the job you just did.

This package contains development files of Xnee.

%package doc
Summary: Documentation for Xnee
Group: Documentation
BuildArch: noarch

%description doc
GNU Xnee is a suite of programs that can record, replay and distribute
user actions under the X11 environment. Think of it as a robot that can
imitate the job you just did.

This package contains documentation for Xnee.

%package -n gnome-applets-pnee
Summary: Gnome Panel Applet for Xnee
Group: Graphical desktop/GNOME
Requires: lib%name = %version-%release

%description -n gnome-applets-pnee
GNU Xnee is a suite of programs that can record, replay and distribute
user actions under the X11 environment. Think of it as a robot that can
imitate the job you just did.

This package contains Gnome Panel Applet for Xnee.

%prep
%setup
install -m644 %SOURCE1 .
cp %_libexecdir/sgml-tools/epsf.tex doc/
sed -i 's|APPLET_DIR|%gnome_appletsdir|' pnee/data/pnee.server.in

%build
%add_optflags $(pkg-config libgnomeui-2.0 --cflags) -fno-strict-aliasing
%autoreconf
%configure \
	--disable-static \
	--disable-static-programs \
	--enable-gui \
	--enable-cli \
	--enable-lib \
	--with-x \
	--enable-gnome-applet \
	--enable-doc
%make_build

sed -i '2rcnee.info.inc' cnee/src/cnee.info

%install
%makeinstall_std

install -d %buildroot%_includedir
cp -fR lib%name/include/lib%name %buildroot%_includedir/

install -d %buildroot%gnome_appletsdir
install -m755 pnee/src/.libs/pnee %buildroot%gnome_appletsdir/

%files
%doc AUTHORS BUGS COPYING ChangeLog FAQ NEWS README TODO
%_bindir/*
%_pixmapsdir/*
%_man1dir/*

%files data
%_datadir/%name

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*

%files doc
%doc doc/*.pdf doc/*.png doc/*.html doc/*.txt
%_infodir/*

%files -n gnome-applets-pnee
%gnome_appletsdir/*
%bonobo_serversdir/*

%changelog
* Mon Oct 12 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.03-alt3
- Extracted data files into separate package

* Thu Oct 08 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.03-alt2
- Fixed Gnome Panel Applet

* Wed Oct 07 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.03-alt1
- Initial build for Sisyphus

